Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: all-in-one printer  (gelezen 1819 keer)

Offline gijsbertha

  • Lid
    • http://www.hendrikvanboven.nl
  • Steunpunt: Nee
all-in-one printer
« Gepost op: 2009/01/10, 19:18:30 »
Ik zal helaas een nieuwe all-in-one moeten kopen, omdat mijn Canon mp160 het begeven heeft. Hoewel deze heel goed werkte onder Ubuntu, schijnt het met Canon toch vrij problematisch te zijn. Ik hoef geen dure printer, ook niet speciaal fotoprinter. Ik meen dat de HP het altijd doen onder Ubuntu? Ik ben geen fan van HP, zou liever een Canon hebben. Maar ik moet me niet in alle bochten hoeven te wringen om een all-in-one aan de praat te krijgen.
Wat raden jullie me aan?

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #1 Gepost op: 2009/01/10, 19:26:22 »
Ik raad je toch een HP aan. Sommige Brothers schijnen het ook goed te doen.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #2 Gepost op: 2009/01/10, 22:22:49 »
HP is de beste (vind ik tenminste) en heeft ok hele goede Linux-support. Meeste HP printers werken out-of-the-box en anders kun je er HPLIP voor gebruiken: http://hplipopensource.com/hplip-web/index.html

HPLIP heeft een uitgebreide ondersteuning, en dat zeggen ze zelf ook:
"On this website you can download the HPLIP softrware which supports 1,536 HP printers on nearly any Linux distribution available today."

Offline dellkubuntu

  • Lid
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #3 Gepost op: 2009/01/10, 22:48:19 »
Zou ook gaan voor hp.Heb zelf hp psc2110 allin one,weet alleen niet of die nog te krijgen is.Werkt bij mij feilloos vanaf feisty tot intrepid nu.

Offline LooseEnds

  • Lid
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #4 Gepost op: 2009/01/11, 16:50:36 »
Ik zal helaas een nieuwe all-in-one moeten kopen, omdat mijn Canon mp160 het begeven heeft. Hoewel deze heel goed werkte onder Ubuntu, schijnt het met Canon toch vrij problematisch te zijn.
Heb een paar maanden geleden een mp210 gekocht maar moest om het ding aan de praat te krijgen tamelijk veel handelingen verrichten. Als Linux n00b begin ik daar niet aan. Wellicht ziet Canon ooit in dat er meer OS'en dan WIN bestaan. Bij de volgende aankoop ga ik rekening houden welke bijna out-of-the-box printers ook onder Linux kunnen draaien. Heeft wel als nadeel dat ik Linux nu nauwelijks gebruik.

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #5 Gepost op: 2009/01/11, 17:08:08 »
Ik zal helaas een nieuwe all-in-one moeten kopen, omdat mijn Canon mp160 het begeven heeft. Hoewel deze heel goed werkte onder Ubuntu, schijnt het met Canon toch vrij problematisch te zijn.
Heb een paar maanden geleden een mp210 gekocht maar moest om het ding aan de praat te krijgen tamelijk veel handelingen verrichten. Als Linux n00b begin ik daar niet aan. Wellicht ziet Canon ooit in dat er meer OS'en dan WIN bestaan. Bij de volgende aankoop ga ik rekening houden welke bijna out-of-the-box printers ook onder Linux kunnen draaien. Heeft wel als nadeel dat ik Linux nu nauwelijks gebruik.
Bijna alle HP's werken, ik denk misschien 5 modellen niet.

Offline gijsbertha

  • Lid
    • http://www.hendrikvanboven.nl
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #6 Gepost op: 2009/01/12, 19:15:20 »
Inmiddels heb ik een HP Photosmart C4280 gekocht. Die print goed en scannen kan vanuit Xsane. Ik heb ook nog  HPlip 2.8.12.run gedownload, maar als ik in de terminal sh hplip-2.18.12.run geef, krijg ik als reactie Can't open hplip-2.8.12.run! Ik heb de download opnieuw gedaan met hetzelfde resultaat.
Is het nodig om hplip te installeren? Krijg ik dan meer functionaliteit? En zo ja hoe krijg het het geinstalleerd?

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #7 Gepost op: 2009/01/13, 01:30:55 »
hplip zit in de pakketbronnen als het goed is. Die kan je dus gewoon via Synaptic installeren.

Offline gijsbertha

  • Lid
    • http://www.hendrikvanboven.nl
  • Steunpunt: Nee
Re: all-in-one printer
« Reactie #8 Gepost op: 2009/01/13, 16:54:38 »
hplip zit in de pakketbronnen als het goed is. Die kan je dus gewoon via Synaptic installeren.
Niet eens aan gedacht, dat ga ik dus nog proberen! Bedankt.

Piet Vanraad

  • Gast
Re: all-in-one printer
« Reactie #9 Gepost op: 2009/01/13, 19:26:38 »
Citaat
Die print goed en scannen kan vanuit Xsane.
...
Is het nodig om hplip te installeren?
Neen, alles werkt al.

Citaat
Krijg ik dan meer functionaliteit?
Waarschijnlijk maakt ubuntu gebruik van cups, wat op zijn beurt gebruik maakt van hplip om je printer aan te sturen. Waarschijnlijk is reeds alles al geïnstalleerd. Je kan altijd hp-toolbox gebruiken, maar mijn ervaring is dat de default tools reeds meer dan voldoende zijn.

Kort gezegd, werkt het ideale driver model onder linux als volgt:
- een bedrijf maakt nieuwe hardware en werkt samen met de kernel developpers zodat die hardware ondersteund wordt bij de volgende versie van linux.
- elke zoveel tijd komt een nieuwe kernel uit.
- u update uw linux distributie om de zoveel tijd.
- de hardware komt beschikbaar voor de consument.
- u koopt de hardware en sluit die aan, werkelijk plug en play.

Printers zijn misschien een beetje minder afhankelijk van de kernel zelf[1], maar het principe is ongeveer hetzelfde. Waarom kan nieuwe hardware werken met kernels die reeds lang geleden zijn uitgegeven: standaarden, denk bijvoorbeeld aan vesa of usb-storage...

Dus kan je wel stellen dat met een beetje voorafgaande planning, je gewoon een toestel koopt en het dan aansluit op je pc, zonder dat je een cd'tje van de fabrikant in de computer moet steken.

[1] Ik probeer enkel een high level view te geven

fernand

  • Gast
Re: all-in-one printer
« Reactie #10 Gepost op: 2009/01/15, 05:26:58 »
ik heb ook een all-in-one printer van Canon, de Pixma MP500, ik gebruikte deze op verschillende distros van Ubuntu zonder problemen totdat ik een upgrade gedaan had naar Ubuntu 8.10. De printer was nergens meer te bespeuren en steeds bij het aanroepen van mijn printer kreeg ik alleen de foutmelding:  CUPS server error.
Dus ik ge-Googled en gezocht naar het probleem met dat CUPS gedoe, verschillende mogelijkheden uitgeprobeerd zoals pstcanonij,gutenprint,cnijfilter,cnijfiltermp500, doch zonder resultaat.
Ook geprobeerd cupsys opnieuw te installeren maar dit bleek ook niet te werken.
Uiteindelijk terug versie 8.04 opnieuw geinstalleerd met mijn live-cd die ik gelukkig eerder gemaakt had.
Verder kan ik met vreugde melden dat ik alleen maar lof heb over Ubuntu en ik uitsluitend alleen nog op internet ga via dit OS, ook op dit forum heb ik al heel wat geleerd behalve dan dat CUPS probleem oplossen, spijtig want ik vind die 8.10 wel prachtig anders.